Bug 683897 - Nautilus menus are corrupted in RTL locales (Persian and Arabic at least)
Summary: Nautilus menus are corrupted in RTL locales (Persian and Arabic at least)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-10 15:36 UTC by Hedayat Vatankhah
Modified: 2015-03-03 22:58 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-05-28 19:54:36 UTC


Attachments (Terms of Use)
An example of the corruption (55.69 KB, image/png)
2011-03-10 15:36 UTC, Hedayat Vatankhah
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 650999 None None None Never

Description Hedayat Vatankhah 2011-03-10 15:36:50 UTC
Created attachment 483490 [details]
An example of the corruption

Description of problem:
In RTL locales (Persian and Arabic locales tested), nautilus menus containing translated texts doesn't appear correctly and they are sometimes hardly readable. While the menu text is expected to be right aligned and shortcut keys come in left (mirroring the way they appear in LTR locales), some of the menu texts appear floating in between and some of them are in left, overlapping with shortcut key descriptions. 
This is only observed in nautilus and other gnome applications (e.g. gedit and gnome-terminal) work just fine.

Version-Release number of selected component (if applicable):
nautilus-2.91.90.1-1.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Make sure that there is no instance of nautilus running 
2. Run: export LANG=fa_IR.utf8
3. Run nautilus
4. Open some menus
  
Actual results:
Menu texts doesn't appear correctly. An example is attached.

Expected results:
They should appear correctly!

Comment 1 Hedayat Vatankhah 2011-05-28 19:54:36 UTC
Fixed in GTK3 3.0.10


Note You need to log in before you can comment on or make changes to this bug.